#!/bin/sh
which gpg-agent >& /dev/null && fileexit="1" || fileexit="0"

if [ ! -f "$HOME/.gnupg/gpg-agent.conf" ] ; then
		echo "pinentry-program /usr/bin/pinentry-qt no-grab default-cache-ttl 1800"> $HOME/.gnupg/gpg-agent.conf
fi
		
if [ $fileexit -eq 1 ] ; then
		echo "Start gpg-agent"
		gpg-agent --daemon | head -2 > $HOME/.gpg-server; source $HOME/.gpg-server
		ssh-agent | head -2 > $HOME/.ssh-server; source $HOME/.ssh-server
		echo "End start gpg-agent"
fi	

